Flecs: Script
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Classes | Functions
Script
C++ API » Addons
Collaboration diagram for Script:

## Classes
struct | flecs::script_builder
| Script builder interface. More...

## Functions
int | script_run (const char *name, const char *str) const
| Run script.
int | script_run_file (const char *filename) const
| Run script from file.
script_builder | script (const char *name=nullptr) const
| Build script.
flecs::string | to_expr (flecs::entity_t tid, const void *value)
| Convert value to string.
template<typename T >
flecs::string | to_expr (const T *value)
| Convert value to string.
int | flecs::world::script_run (const char *name, const char *str) const
| Run script.
int | flecs::world::script_run_file (const char *filename) const
| Run script from file.
script_builder | flecs::world::script (const char *name=nullptr) const
| Build script.
flecs::string | flecs::world::to_expr (flecs::entity_t tid, const void *value)
| Convert value to string.
template<typename T >
flecs::string | flecs::world::to_expr (const T *value)
| Convert value to string.

## Detailed Description

Data definition format for loading entity data.

Data definition format for loading entity data.

## Function Documentation

## ◆ script() [1/2]

script_builder flecs::world::script | ( | const char * | name = nullptr | ) | const
| inline

Build script.

See also
  ecs_script_init

Definition at line 32 of file world.hpp.

## ◆ script() [2/2]

script_builder script | ( | const char * | name = nullptr | ) | const

Build script.

See also
  ecs_script_init

Definition at line 31 of file mixin.inl.

## ◆ script_run() [1/2]

int flecs::world::script_run | ( | const char * | name,
|  | const char * | str ) const
| inline

Run script.

See also
  ecs_script_run

Definition at line 18 of file world.hpp.

## ◆ script_run() [2/2]

int script_run | ( | const char * | name,
|  | const char * | str ) const

Run script.

See also
  ecs_script_run

Definition at line 17 of file mixin.inl.

## ◆ script_run_file() [1/2]

int flecs::world::script_run_file | ( | const char * | filename | ) | const
| inline

Run script from file.

See also
  ecs_script_run_file

Definition at line 25 of file world.hpp.

## ◆ script_run_file() [2/2]

int script_run_file | ( | const char * | filename | ) | const

Run script from file.

See also
  ecs_script_run_file

Definition at line 24 of file mixin.inl.

## ◆ to_expr() [1/4]

template<typename T >

flecs::string flecs::world::to_expr | ( | const T * | value | ) |
| inline

Convert value to string.

Definition at line 44 of file world.hpp.

## ◆ to_expr() [2/4]

flecs::string flecs::world::to_expr | ( | flecs::entity_t | tid,
|  | const void * | value )
| inline

Convert value to string.

Definition at line 37 of file world.hpp.

## ◆ to_expr() [3/4]

template<typename T >

flecs::string to_expr | ( | const T * | value | ) |

Convert value to string.

Definition at line 43 of file mixin.inl.

## ◆ to_expr() [4/4]

flecs::string to_expr | ( | flecs::entity_t | tid,
|  | const void * | value )

Convert value to string.

Definition at line 36 of file mixin.inl.